aboutsummaryrefslogtreecommitdiff
path: root/platform/linux-generic/example/ml/odp_ml_run_mnist.sh
diff options
context:
space:
mode:
Diffstat (limited to 'platform/linux-generic/example/ml/odp_ml_run_mnist.sh')
-rwxr-xr-xplatform/linux-generic/example/ml/odp_ml_run_mnist.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/platform/linux-generic/example/ml/odp_ml_run_mnist.sh b/platform/linux-generic/example/ml/odp_ml_run_mnist.sh
new file mode 100755
index 000000000..f83d6f60d
--- /dev/null
+++ b/platform/linux-generic/example/ml/odp_ml_run_mnist.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+#
+# SPDX-License-Identifier: BSD-3-Clause
+# Copyright (c) 2023 Nokia
+#
+set -e
+
+# wget https://github.com/onnx/models/raw/main/validated/vision/classification/mnist/model/mnist-12.onnx
+./mnist${EXEEXT} mnist-12.onnx example_digit.csv